{ flake, ... }:
let

  inherit (flake.config.aesthetics.themes)
    currentThemes
    palettes
    fonts
    ;

  el = palettes.${currentThemes.theme0}.colours;

  makeColor = c: "#" + c;
in
{
  global = {
    font = "${fonts.names.name0} ${builtins.toString fonts.sizes.popups.size0}";
    background = makeColor el.base01;
    frame_color = makeColor el.base0E;
    foreground = makeColor el.base05;
    corner_radius = 10;
    fade_in_duration = 1000;
    frame = 10000;
    frame_width = 1;
    icon_corner_radius = 10;
    monitor = 1;
    offset = "20x20";
    origin = "bottom-right";
    progress_bar_corner_radius = 4;
    timeout = 10;
    transparecncy = true;
  };

  urgency_critical = {
    frame_color = makeColor el.base09;
    timeout = 0;
  };
}
